Package ru.bgcrm.struts.action

# Class ProcessQueueAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.action.ProcessAction
ru.bgcrm.struts.action.ProcessQueueAction

Direct Known Subclasses:
  `ProcessAction`

public class ProcessQueueAction extends ProcessAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessQueueAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `processAction(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `processor(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `queue(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `queueGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `queueSavedFilterSet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `queueSavedPanelSet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `queueShow(DynActionForm form, ConnectionSet connectionSet)`
  `org.apache.struts.action.ActionForward`
  `typeTree(DynActionForm form, Connection con)`

  ### Methods inherited from class org.bgerp.action.ProcessAction

  `doCreateWizard, getProcess, getProcessType, messagePossibleProcessList, process, processClone, processCreate, processCreate, processCreate, processCreateAndGet, processCreateGroups, processCreateTypes, processDelete, processDelete, processDeleteTmp, processDescriptionAdd, processDescriptionUpdate, processExecutorsEdit, processExecutorsSwap, processExecutorsUpdate, processExecutorsUpdate, processFinishCreateTmp, processGroupsEdit, processGroupsUpdate, processGroupsUpdate, processMerge, processMergeEdit, processPriorityEdit, processPriorityUpdate, processPriorityUpdate, processStatusEdit, processStatusHistory, processStatusUpdate, processStatusUpdate, processTypeEdit, processTypes, processTypeUpdate, unionLog, unspecified, userProcessList`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessQueueAction

    public ProcessQueueAction()

- ## Method Details

  - ### queue

    public org.apache.struts.action.ActionForward queue(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### typeTree

    public org.apache.struts.action.ActionForward typeTree(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processor

    public org.apache.struts.action.ActionForward processor(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### queueSavedFilterSet

    public org.apache.struts.action.ActionForward queueSavedFilterSet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### queueSavedPanelSet

    public org.apache.struts.action.ActionForward queueSavedPanelSet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### queueGet

    public org.apache.struts.action.ActionForward queueGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### queueShow

    public org.apache.struts.action.ActionForward queueShow(DynActionForm form, ConnectionSet connectionSet) throws Exception
    Throws:
      `Exception`

  - ### processAction

    public org.apache.struts.action.ActionForward processAction(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`